Bug 960957 - Vm cannot be created from template when quota is Enabled
Vm cannot be created from template when quota is Enabled
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: ovirt-engine-webadmin-portal (Show other bugs)
3.2.0
Unspecified Unspecified
unspecified Severity high
: ---
: 3.2.0
Assigned To: ofri
Dušan Kajan
sla
: Regression
Depends On:
Blocks: 948448
  Show dependency treegraph
 
Reported: 2013-05-08 07:28 EDT by ofri
Modified: 2016-02-10 15:15 EST (History)
10 users (show)

See Also:
Fixed In Version: sf16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: SLA
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ofri 2013-05-08 07:28:22 EDT
Description of problem:
When the DC is in enforcing quota mode. a VM cannot be created from template.

Version-Release number of selected component (if applicable):
sf15

How reproducible:
100%

Steps to Reproduce:
0. set DC to "Enforce" quota mode 
1. create VM (vm_1) with at least one Disk
2. create Template (tm_1) from vm_1
3. create VM (vm_2) from Template tm_1
  
Actual results:
UI is stuck. vm_2 not created

Expected results:
vm_2 created
Comment 2 Pavel Novotny 2013-05-15 11:22:21 EDT
Verified in rhevm-3.2.0-10.26.rc.el6ev (sf17).

Followed reproducer steps from comment #0 to verify:
1) data center quota mode set to Enforce
2) created VM1 with a disk
3) created Template1 from VM1
4) created VM2 from Template1

VM2 was successfully created (verified for both types - Desktop VM and Server VM).
Comment 3 Itamar Heim 2013-06-11 04:43:43 EDT
3.2 has been released
Comment 4 Itamar Heim 2013-06-11 04:43:48 EDT
3.2 has been released
Comment 5 Itamar Heim 2013-06-11 04:43:53 EDT
3.2 has been released
Comment 6 Itamar Heim 2013-06-11 04:50:28 EDT
3.2 has been released
Comment 7 Itamar Heim 2013-06-11 05:21:34 EDT
3.2 has been released

Note You need to log in before you can comment on or make changes to this bug.